	<!--
	// Startup variables
	var imageTag = false;
	var theSelection = false;
	
	// Check for Browser & Platform for PC & IE specific bits
	// More details from: http://www.mozilla.org/docs/web-developer/sniffer/browser_type.html
	var clientPC = navigator.userAgent.toLowerCase(); // Get client info
	var clientVer = parseInt(navigator.appVersion); // Get browser version
	
	var is_ie = ((clientPC.indexOf("msie") != -1) && (clientPC.indexOf("opera") == -1));
	var is_nav = ((clientPC.indexOf('mozilla')!=-1) && (clientPC.indexOf('spoofer')==-1)
									&& (clientPC.indexOf('compatible') == -1) && (clientPC.indexOf('opera')==-1)
									&& (clientPC.indexOf('webtv')==-1) && (clientPC.indexOf('hotjava')==-1));
	var is_moz = 0;
	
	var is_win = ((clientPC.indexOf("win")!=-1) || (clientPC.indexOf("16bit") != -1));
	var is_mac = (clientPC.indexOf("mac")!=-1);
	
	// Define the bbCode tags
	bbcode = new Array();
	bbtags = new Array( '[b]','[/b]','[i]','[/i]','[u]','[/u]','[quote]','[/quote]','[code]','[/code]','[list]','[/list]','[url]','[/url]' ,'[h1]','[/h1]','[h2]','[/h2]','[h3]','[/h3]','[boxhead]','[/boxhead]','[img=]','[/img]','[imgl=]','[/imgl]','[imgr=]','[/imgr]','[infol=]','[/infol]','[infor=]','[/infor]','[b]','[/b]','[i]','[/i]','[u]','[/u]','[quote]','[/quote]','[code]','[/code]','[list]','[/list]','[url]','[/url]','[h1]','[/h1]','[h2]','[/h2]','[h3]','[/h3]','[boxhead]','[/boxhead]','[img=]','[/img]','[imgl=]','[/imgl]','[imgr=]','[/imgr]','[infol=]','[/infol]','[infor=]','[/infor]','[b]','[/b]','[i]','[/i]','[u]','[/u]','[quote]','[/quote]','[code]','[/code]','[list]','[/list]','[url]','[/url]' );   	imageTag = false;
	
	// Replacement for arrayname.length property
	function getarraysize(thearray)
	{
		for (i = 0; i < thearray.length; i++)
		{
			if ((thearray[i] == "undefined") || (thearray[i] == "") || (thearray[i] == null))
				return i;
		}
		return thearray.length;
	}
	
	// Replacement for arrayname.push(value) not implemented in IE until version 5.5
	// Appends element to the array
	function arraypush(thearray,value)
	{
		thearray[ getarraysize(thearray) ] = value;
	}
	
	// Replacement for arrayname.pop() not implemented in IE until version 5.5
	// Removes and returns the last element of an array
	function arraypop(thearray)
	{
		thearraysize = getarraysize(thearray);
		retval = thearray[thearraysize - 1];
		delete thearray[thearraysize - 1];
		return retval;
	}
	
	function bbfontstyle(bbopen, bbclose, txtarea )
	{
		//var txtarea = document.sn_form_message.sn_homepagetext;
	
		if ((clientVer >= 4) && is_ie && is_win)
		{
			theSelection = document.selection.createRange().text;
			if (!theSelection)
			{
				txtarea.value += bbopen + bbclose;
				txtarea.focus();
				return;
			}
			document.selection.createRange().text = bbopen + theSelection + bbclose;
			txtarea.focus();
			return;
		}
		else if (txtarea.selectionEnd && (txtarea.selectionEnd - txtarea.selectionStart > 0))
		{
			mozWrap(txtarea, bbopen, bbclose);
			return;
		}
		else
		{
			txtarea.value += bbopen + bbclose;
			txtarea.focus();
		}
	}
	
	
	function bbstyle( bbnumber, txtarea )
	{
		//var txtarea = document.sn_form_message.sn_homepagetext;
	
		txtarea.focus();
		donotinsert = false;
		theSelection = false;
		bblast = 0;
	
		if( bbnumber == -1 )
		{ // Close all open tags & default button names
			while (bbcode[0])
			{
				butnumber = arraypop(bbcode) - 1;
				txtarea.value += bbtags[butnumber + 1];
				buttext = eval('document.sn_form_message.addbbcode' + butnumber + '.value');
				eval('document.sn_form_message.addbbcode' + butnumber + '.value ="' + buttext.substr(0,(buttext.length - 1)) + '"');
			}
			imageTag = false; // All tags are closed including image tags :D
			txtarea.focus();
			return;
		}
	
		if ((clientVer >= 4) && is_ie && is_win)
		{
			theSelection = document.selection.createRange().text; // Get text selection
			if (theSelection)
			{
				// Add tags around selection
				document.selection.createRange().text = bbtags[bbnumber] + theSelection + bbtags[bbnumber+1];
				txtarea.focus();
				theSelection = '';
				return;
			}
		}
		else if (txtarea.selectionEnd && (txtarea.selectionEnd - txtarea.selectionStart > 0))
		{
			mozWrap(txtarea, bbtags[bbnumber], bbtags[bbnumber+1]);
			return;
		}
	
		// Find last occurance of an open tag the same as the one just clicked
		for (i = 0; i < bbcode.length; i++)
		{
			if (bbcode[i] == bbnumber+1)
			{
				bblast = i;
				donotinsert = true;
			}
		}
	
		if(donotinsert)
		{
		  // Close all open tags up to the one just clicked & default button names
			while (bbcode[bblast])
			{
					butnumber = arraypop(bbcode) - 1;
					txtarea.value += bbtags[butnumber + 1];
					buttext = eval('document.sn_form_message.addbbcode' + butnumber + '.value');
					eval('document.sn_form_message.addbbcode' + butnumber + '.value ="' + buttext.substr(0,(buttext.length - 1)) + '"');
					imageTag = false;
			}
			txtarea.focus();
			return;
		} 
		else
		{ // Open tags
	
			if (imageTag && (bbnumber != 14))
			{   // Close image tag before adding another
				txtarea.value += bbtags[15];
				lastValue = arraypop(bbcode) - 1; // Remove the close image tag from the list
				document.sn_form_message.addbbcode14.value = "Img";  // Return button back to normal state
				imageTag = false;
			}
	
			// Open tag
			txtarea.value += bbtags[bbnumber];
			if ((bbnumber == 14) && (imageTag == false)) imageTag = 1; // Check to stop additional tags after an unclosed image tag
			arraypush(bbcode,bbnumber+1);			
			//alert( 'hallo:' + bbnumber + ' ' + eval('document.sn_form_message.addbbcode'+bbnumber+'.value' ) );
			//alert( txtarea.name  );
			eval( 'document.sn_form_message.addbbcode'+bbnumber+'.value += "*"');
			txtarea.focus();
			return;
		}
	}
	
	// From http://www.massless.org/mozedit/
	function mozWrap(txtarea, open, close)
	{
		var selLength = txtarea.textLength;
		var selStart = txtarea.selectionStart;
		var selEnd = txtarea.selectionEnd;
		if (selEnd == 1 || selEnd == 2)
			selEnd = selLength;
	
		var s1 = (txtarea.value).substring(0,selStart);
		var s2 = (txtarea.value).substring(selStart, selEnd)
		var s3 = (txtarea.value).substring(selEnd, selLength);
		txtarea.value = s1 + open + s2 + close + s3;
		return;
	}
		
  function doSetLink( txtarea )
	{
		var link = window.prompt('URL  eingeben :','http://www.');
		var text = window.prompt('Linktext:' );
		// link ist da...
		if( link != null && link != '' && link!='http://www.')
		{
			var entry;
			// text ist auch da
			if( text != null && text != '' )
				txtarea.value += '[url=' + link + ']' + text + '[/url]';
 			else
 				txtarea.value += '[url]' + link + '[/url]';
		}
	}

	function appendItem( text ) 
	{ 
		document.sn_form_message.sn_msgbody.value = sn_form_message.sn_msgbody.value + ' \n[*][sup][i]Admininfo: '+ text + '[/i][/sup]'; 
		document.sn_form_message.sn_msgbody.focus(); 
	}

  function doSetImg( imgUrl, desc )
	{
		if(imgUrl != null){

			var pathList  = imgUrl.split("/");
			 imgUrl = pathList[pathList.length -1 ];

			if(desc == null || desc == ""){
				desc = imgUrl;
			}
 			document.sn_form_message.sn_msgbody.value += '[imgl='+ imgUrl + ']'+desc+'[/imgl]';
		}

	}


	function sx_sub_submit( actionstr )
	{	
		document.sn_form_message.target = "";									
		document.sn_form_message.sx_sub_action.value = actionstr;
		document.sn_form_message.submit();
	}

	function sx_set_date( textcell )
	{	
		var timeval = new Date();		
		var timestr = timeval.getDate() + "." + (timeval.getMonth()+1) + "." + timeval.getFullYear()+ ", ";		
		timestr += (timeval.getHours()+1) + ":00";
		textcell.value = timestr;
	}


	function sx_submit( actionstr )
	{	
		document.sn_form_message.target = "";									
		document.sn_form_message.sx_action.value = actionstr;
		document.sn_form_message.submit();
	}
	
	
	function sx_preview() 
	{
		winopts = "toolbar=0,location=0,directories=1,status=1,menubar=0,scrollbars=1,copyhistory=1,resizable=1,width=530,height=600";
		smallwindow = window.open( "about:blank", "snpreview" , winopts );
		smallwindow.focus();
		document.sn_form_message.target = "snpreview";		
		document.sn_form_message.sx_action.value = "on_preview";
		document.sn_form_message.submit();		
	}
	
		
	function sx_jump()
	{	
	
		var idx1 = document.sn_searchform.sn_searchmode.selectedIndex;		
		var idx2 = document.sn_searchform.sn_haspicture.selectedIndex;
		var idx3 = document.sn_searchform.sn_flagmale.selectedIndex;
		
		var path1 = document.sn_searchform.sn_searchmode.options[idx1].value;
		var path2 = document.sn_searchform.sn_haspicture.options[idx2].value;
		var path3= document.sn_searchform.sn_flagmale.options[idx3].value;
		
	  var path = '/memberlist/' + path1 + '/' + path2 + '/' + path3;
  	//alert( path  );
  	window.location.href = path;
  	
	}

	function sx_clear_category() 
	{ 
		document.sn_form_message.sn_msgcategories.value = ''; 
		document.sn_form_message.sn_msgcatpath.value = ''; 		
	}
	
	function sx_set_category( catid, catname ) 
	{ 
		if( document.sn_form_message.sn_msgcategories.value.length == 0 )
		{
			document.sn_form_message.sn_msgcategories.value += catid; 
			document.sn_form_message.sn_msgcatpath.value += catname; 			
		}
		else
		{
			document.sn_form_message.sn_msgcategories.value += "," + catid; 
			document.sn_form_message.sn_msgcatpath.value += "," + catname; 							
		}

	}
	
	
	function sx_submit_search() 
	{		
		document.sn_searchoptions.sn_key.value = document.sn_searchform.sn_key.value		
		document.sn_searchoptions.submit();			
	}
	
	
	
	
	function sx_ajax_key() 
	{ 
		//alert( document.sn_form_register.sn_nickname.value );
		var xmlHttp = null;
		try 
		{
				// Mozilla, Opera, Safari sowie Internet Explorer (ab v7)
				xmlHttp = new XMLHttpRequest();
		} 
		catch(e)
		{
				try
				{
						// MS Internet Explorer (ab v6)
						xmlHttp  = new ActiveXObject("Microsoft.XMLHTTP");
				} catch(e)
				{
						try
						{
								// MS Internet Explorer (ab v5)
								xmlHttp  = new ActiveXObject("Msxml2.XMLHTTP");
						} catch(e)
						{
								xmlHttp  = null;
						}
				}
		}
		if (xmlHttp)
		{
				xmlHttp.open('GET', '/ajax_test/'+ document.sn_form_register.sn_nickname.value, true);
				xmlHttp.onreadystatechange = function ()
				{
						if (xmlHttp.readyState == 4)
						{
							//alert(xmlHttp.responseText);							
							
							//if( xmlHttp.responseText == 'JA' )
								//document.getElementsByName( 'sn_nickname' ).style.backgroundColor = "#FF0000";
							//document.getElementsById( 'label_nickname' ).style.backgroundColor = "#FF0000";								
								//document.getElementsById( 'label_nickname' ).style.color = "#FF0000";								
							document.getElementById( 'label_nickname' ).style.color = xmlHttp.responseText == 'ok' ? "black" : "#FF0000";
							
							//else
							//	document.sn_form_register.sn_nickname.style.backgroundColor = "#FFFFFF";
						}
				};
				xmlHttp.send(null);
		}
	}
	


	-->